--- /dev/null	Thu Jan  1 01:00:00 1970
+++ config/intel_solaris/Makedefs	Mon Jul 28 19:54:54 2003
@@ -0,0 +1,19 @@
+#  CC       C compiler
+#  CFLAGS   flags for building C files
+#  CFDYN    additional flags for dynamic functions
+#  RLINK    flags for linking run-time system
+#  RLIBS    libraries to link with run-time system
+#  TLIBS    libraries to link for POSIX threads
+#  XLIBS    libraries to link for graphics
+#  XPMDEFS  definitions for building XPM library
+#  GDIR     directory of graphics helper library
+
+CC = gcc
+CFLAGS = -O -I/usr/openwin/include
+CFDYN = -fPIC
+RLINK = 
+RLIBS = -lm -ldl
+TLIBS = -lposix4 -lpthread
+XLIBS = -L /usr/openwin/lib -Xlinker -R/usr/openwin/lib -lX11
+XPMDEFS = -DZPIPE -DSYSV
+GDIR = xpm
--- /dev/null	Thu Jan  1 01:00:00 1970
+++ config/intel_solaris/define.h	Mon Jul 28 19:54:54 2003
@@ -0,0 +1,10 @@
+/*
+ * Icon configuration file for Sun 4 running Solaris 2.x with Cygnus gcc
+ */
+
+#define UNIX 1
+#define LoadFunc
+
+/* use gcc to compile generated code */
+#define CComp "gcc"
+#define COpts "-I/usr/openwin/include -ldl"
--- /dev/null	Thu Jan  1 01:00:00 1970
+++ config/intel_solaris/rswitch.c	Mon Jul 28 19:55:32 2003
@@ -0,0 +1,28 @@
+/*
+ * This is the co-expression context switch for the Intel 80386
+ * under Solaris.
+ */
+
+/*
+ * coswitch
+ */
+
+coswitch(old_cs, new_cs, first)
+int *old_cs, *new_cs;
+int first;
+   {
+   asm("  movl 8(%ebp),%eax");
+   asm("  movl %esp,0(%eax)");
+   asm("  movl %ebp,4(%eax)");
+   asm("  movl 12(%ebp),%eax");
+   if (first == 0) {		/* this is the first activation */
+      asm("  movl 0(%eax),%esp");
+      asm("  movl $0,%ebp");
+      new_context(0, 0);
+      syserr("new_context() returned in coswitch");
+      }
+   else {
+      asm("  movl 0(%eax),%esp");
+      asm("  movl 4(%eax),%ebp");
+      }
+   }
--- /dev/null	Thu Jan  1 01:00:00 1970
+++ config/intel_solaris/status	Mon Jul 28 19:55:32 2003
@@ -0,0 +1,1 @@
+This is from Icon 9.3.2's config/intel_solaris/.
